Amili Docs
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
Home
Products
Products
  • Debt.collection
  • Account Receivable
  • Distribution
Go to amili.no
  1. AutoPostings
  • Actions
    • POST (create) an action
      POST
    • POST (create) a reports action/generate a report
      POST
  • ArItems
    • GET a list of AR items
      GET
    • PUT (update) ar item details
      PUT
    • GET one AR item
      GET
  • AutoPostings
    • POST (create) one or more auto postings
      POST
  • Batches
    • GET one batch
      GET
  • ClientConfigs
    • GET a list of client config values
      GET
    • GET values for one client config key
      GET
  • Codes
    • GET ARM system code values
      GET
  • Customers
    • POST (create) one customer
      POST
    • PUT (update) one customer
      PUT
    • GET a list of customers
      GET
    • GET one customer
      GET
    • DELETE a customer
      DELETE
    • POST (create) a batch of customers
      POST
    • PUT (update) a batch of customers
      PUT
  • DocumentBundles
    • GET a list of document bundles
      GET
    • GET one document bundle
      GET
  • Documents
    • POST (create) one document
      POST
    • GET a list of documents
      GET
    • GET one document
      GET
    • POST (create) a batch of documents
      POST
  • Files
    • GET one or more OS files
    • POST (upload) one or more OS files
    • GET one OS file
  • GlItems
    • Get one GL item
    • GET a list of GL items
  • GlMovements
    • Get movement/balance for the latest closed GL year/period
    • GET a list of GL movements/balances
  • Insights
    • GET a list of ADB intervals
  • LogItems
    • GET one log item
    • GET a list of log items
  • PaymentReservations
    • POST (create) a new payment reservation
  • Health
    • Check API health
  1. AutoPostings

POST (create) one or more auto postings

POST
/clients/{clientno}/autopostings/{autopostingmethod}
Performs a set of one or more auto postings. An auto posting is a complex set of debit/credit entries to the GL/AR based on one event.
NOTE:
If at least one posting in an autoposting batch fails, all postings in that batch will be rejected as FAILED. A posting that validates OK but is rejected for being part of a failing batch will be marked with resultType = BATCH-REJECTED in the response body
If at least one posting in an autoposting batch is tagged with the option validateOnly then all transactions in that batch will be treated as validateOnly
Standard/default behavior is to reject a posting if there are warnings. You can force a posting with warnings to be processed by setting suppressWarnings = true on the batch level (metadata) or use the suppressWarnings option on the transaction level

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
OK. The request succeeded
Body

🟠400BadRequest
🟠403Forbidden
🟠404NotFound
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/clients//autopostings/' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "metadata": {
        "userId": "TestUser",
        "suppressWarnings": false,
        "validateOnly": false
    },
    "postings": [
        {
            "arItemId": "2218-500002-35078-0",
            "dueDate": "2025-07-15",
            "currency": "NOK",
            "currencyAmount": 150,
            "voucherDate": "2025-07-16"
        }
    ]
}'
Response Response Example
200 - Posting(s) performed
{
    "status": "PROCESSED",
    "result": "CREATED",
    "message": "Posting(s) performed",
    "clientNo": 2218,
    "autoPostings": [
        {
            "arItemId": "2218-500002-35078-0",
            "result": "CREATED",
            "resultType": "OK",
            "message": "Posting performed"
        }
    ]
}
Modified at 2026-04-14 09:49:15
Previous
GET one AR item
Next
GET one batch
Built with